Skip to Content
inclamoDocs

List all custom attributes in an account

GET
/api/v1/accounts/{account_id}/custom_attribute_definitions

Get details of custom attributes in an Account

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Query Parameters

attribute_model*string

conversation_attribute(0)/contact_attribute(1)

Value in"0""1"

Response Body

Success

application/json
  1. response

Array of all custom attributes

[index: integer]?
Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/custom_attribute_definitions?attribute_model=0'
Example Response
[  {    "id": 0,    "attribute_display_name": "string",    "attribute_display_type": "string",    "attribute_description": "string",    "attribute_key": "string",    "regex_pattern": "string",    "regex_cue": "string",    "attribute_values": "string",    "attribute_model": "string",    "default_value": "string",    "created_at": "string",    "updated_at": "string"  }]